Table of Contents

Class: SyntaxCheckerDialog | eric3/Checks/SyntaxCheckerDialog.py
--- | ---

Class implementing a dialog to display the results of a syntax check run.

Base Classes |
--- | ---
SyntaxCheckerForm

Methods |
--- | ---
__init__ buttonPressed compile finish openFile start
| __init__

    __init__ (
            self,
            viewmanager,
            parent=None,
            )

### Constructor

#### Arguments

viewmanager
  reference to the viewmanager object
parent
  parent widget (QWidget)

| buttonPressed

    buttonPressed ( self )

Private slot connected to the button clicked signal.

| compile

    compile ( self,  file )

### Private method to compile one Python source file to Python bytecode.

#### Arguments

file
  source filename (string)

#### Returns

A tuple indicating status (1 = an error was found), the filename, the linenumber, the code string and the error message (boolean, string, string, string, string). The values are only valid, if the status equals 1.

| finish

    finish ( self )

Private slot called when the syntax check finished or the user pressed the button.

| openFile

    openFile ( self,  itm )

Private slot to handle the doubleClicked signal of the result list.

| start

    start ( self,  fn )

### Public slot to start the syntax check.

#### Arguments

fn
  file or list of files or directory to be checked (string or list of strings)

Table of Contents

This document was automatically generated by HappyDoc version 2.1